petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISGlobalToLocalMappingApplyIS

Creates from an IS in the global numbering a new index set using the local numbering defined in an ISLocalToGlobalMapping context.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGlobalToLocalMappingApplyIS(ISLocalToGlobalMapping mapping,ISGlobalToLocalMappingMode type,IS is,IS *newis)

Not collective

### Input Parameters

| mapping | - mapping between local and global numbering
| type | - IS_GTOLM_MASK - replaces global indices with no local value with -1 IS_GTOLM_DROP - drops the indices with no local value from the output list
| is | - index set in global numbering

### Output Parameters

newis -index set in local numbering

### See Also

ISGlobalToLocalMappingApply(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingDestroy()

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages